package pro.litvinovg.xml;


import org.w3c.dom.Document;
import org.w3c.dom.Node;
import org.w3c.dom.ls.DOMImplementationLS;
import org.w3c.dom.ls.LSSerializer;

import com.sun.star.uno.XComponentContext;

import pro.litvinovg.w2phtml.DialogHelper;


public class Debug {
	public static void printNode(Node node){
		Document document = node.getOwnerDocument();
		DOMImplementationLS domImplLS = (DOMImplementationLS) document
		    .getImplementation();
		LSSerializer serializer = domImplLS.createLSSerializer();
		String str = serializer.writeToString(node);
		System.out.println(str);
	}
	public static void printStackTrace() {
		for (StackTraceElement ste : Thread.currentThread().getStackTrace()) {
      System.out.println(ste);
		}
	}

	public static void printLog(String message, XComponentContext context) {
		if (context != null) {
			DialogHelper.showErrorMessage(context, null, message);
		} else {
			System.out.println(message);
		}
	}
}
